php 8.1 crash

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Rispondi
Avatar utente
sya54M
Master
Master
Messaggi: 1664
Iscritto il: mer 6 giu 2007, 14:44
Nome Cognome: Andrea Peluso
Slackware: 64-current
Kernel: ultimo
Desktop: KDE
Località: (Salerno)
Contatta:

php 8.1 crash

Messaggio da sya54M »

Salve a tutti, ho installato il nuovo php 8.1 dai pacchetti extra di slackware, ma mi sembra buggatissimo, va in crash sulla mysqli_query().
Se imposto la codifica caratteri alla connessione con set_charset(), crasha una volta sì e l'altra no, se invece non la metto, crasha sempre:

Codice: Seleziona tutto

AH00052: child pid exit signal Segmentation fault (11)
a chi si può segnalare?

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2868
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.15.15
Desktop: lxde
Località: Pisa
Contatta:

Re: php 8.1 crash

Messaggio da ponce »

c'e' un bug tracker dedicato

https://bugs.php.net

puoi anche verificare se sia stato gia' segnalato per quella versione

https://bugs.php.net/search.php?limit=1 ... roject=PHP

io non lo sto ancora usando: tra i siti che gestisco i piu' recenti girano con la 8.0.x (e non ho ne' la possibilita' ne' l'intenzione di fare l'upgrade alla 8.1.x, per ora).

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2868
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.15.15
Desktop: lxde
Località: Pisa
Contatta:

Re: php 8.1 crash

Messaggio da ponce »

comunque, nell'ultimo ChangeLog, ha reinserito anche l'8.0.x (alleluia!) cambiando il nome ai pacchetti

Codice: Seleziona tutto

Fri Dec  3 20:07:20 UTC 2021
[...]
extra/php8/php8-8.1.0-x86_64-1.txz:  Removed.
extra/php80/php80-8.0.13-x86_64-1.txz:  Added.
extra/php81/php81-8.1.0-x86_64-1.txz:  Added.

Avatar utente
conraid
Staff
Staff
Messaggi: 13580
Iscritto il: gio 14 lug 2005, 0:00
Nome Cognome: Corrado Franco
Slackware: current64
Desktop: kde
Località: Livorno
Contatta:

Re: php 8.1 crash

Messaggio da conraid »

A me non lo da quell'errore, in compenso molti programmi, tra cui phpmyadmin mostrano messaggi di funzioni deprecate, e naturalmente molti plugin di wp non vanno ancora

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2868
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.15.15
Desktop: lxde
Località: Pisa
Contatta:

Re: php 8.1 crash

Messaggio da ponce »

ho visto il bug che hai aperto ma per aiutare gli sviluppatori a capire la causa e' necessario, come ti dicevano, che tu ricompili il pacchetto php81 con i simboli di debug (devi cambiare il --disable-debug tra le opzioni di configure in --enable debug) e che poi tu segua le indicazioni nella pagina a cui ti hanno indirizzato: se non lo fai non possono capire quale sia il tuo problema.
come puoi leggere dal messaggio precedente a questo, per esempio, non e' detto che si riesca a riprodurre il tuo errore.

Avatar utente
sya54M
Master
Master
Messaggi: 1664
Iscritto il: mer 6 giu 2007, 14:44
Nome Cognome: Andrea Peluso
Slackware: 64-current
Kernel: ultimo
Desktop: KDE
Località: (Salerno)
Contatta:

Re: php 8.1 crash

Messaggio da sya54M »

ponce ha scritto:
sab 4 dic 2021, 7:25
comunque, nell'ultimo ChangeLog, ha reinserito anche l'8.0.x (alleluia!) cambiando il nome ai pacchetti

Codice: Seleziona tutto

Fri Dec  3 20:07:20 UTC 2021
[...]
extra/php8/php8-8.1.0-x86_64-1.txz:  Removed.
extra/php80/php80-8.0.13-x86_64-1.txz:  Added.
extra/php81/php81-8.1.0-x86_64-1.txz:  Added.
penso che lo abbia reinserito perché lo scrissi anche a Pat :-D

Avatar utente
sya54M
Master
Master
Messaggi: 1664
Iscritto il: mer 6 giu 2007, 14:44
Nome Cognome: Andrea Peluso
Slackware: 64-current
Kernel: ultimo
Desktop: KDE
Località: (Salerno)
Contatta:

Re: php 8.1 crash

Messaggio da sya54M »

conraid ha scritto:
sab 4 dic 2021, 10:08
A me non lo da quell'errore, in compenso molti programmi, tra cui phpmyadmin mostrano messaggi di funzioni deprecate, e naturalmente molti plugin di wp non vanno ancora
va in crash solo se mi collego al database locale (del raspberry sul quale gira Slackware arm con php 8.1), se invece mi collego ad un database remoto funziona

Avatar utente
sya54M
Master
Master
Messaggi: 1664
Iscritto il: mer 6 giu 2007, 14:44
Nome Cognome: Andrea Peluso
Slackware: 64-current
Kernel: ultimo
Desktop: KDE
Località: (Salerno)
Contatta:

Re: php 8.1 crash

Messaggio da sya54M »

ponce ha scritto:
dom 5 dic 2021, 8:42
ho visto il bug che hai aperto ma per aiutare gli sviluppatori a capire la causa e' necessario, come ti dicevano, che tu ricompili il pacchetto php81 con i simboli di debug (devi cambiare il --disable-debug tra le opzioni di configure in --enable debug) e che poi tu segua le indicazioni nella pagina a cui ti hanno indirizzato: se non lo fai non possono capire quale sia il tuo problema.
come puoi leggere dal messaggio precedente a questo, per esempio, non e' detto che si riesca a riprodurre il tuo errore.
ricompilandolo con --enable-debug non crasha... quindi come si fa a capire il problema?

Avatar utente
sya54M
Master
Master
Messaggi: 1664
Iscritto il: mer 6 giu 2007, 14:44
Nome Cognome: Andrea Peluso
Slackware: 64-current
Kernel: ultimo
Desktop: KDE
Località: (Salerno)
Contatta:

Re: php 8.1 crash

Messaggio da sya54M »

Codice: Seleziona tutto

php-cgi: malloc.c:2539: sysmalloc: Assertion `(old_top == initial_top (av) && old_size == 0) || ((unsigned long) (old_size) >= MINSIZE && prev_inuse (old_top) && ((unsigned long) old_end & (pagesize - 1)) == 0)' failed.

Avatar utente
ponce
Iper Master
Iper Master
Messaggi: 2868
Iscritto il: mer 5 mar 2008, 16:45
Nome Cognome: Matteo Bernardini
Slackware: slackware64-current
Kernel: 5.15.15
Desktop: lxde
Località: Pisa
Contatta:

Re: php 8.1 crash

Messaggio da ponce »

sya54M ha scritto:
mar 28 dic 2021, 16:26
conraid ha scritto:
sab 4 dic 2021, 10:08
A me non lo da quell'errore, in compenso molti programmi, tra cui phpmyadmin mostrano messaggi di funzioni deprecate, e naturalmente molti plugin di wp non vanno ancora
va in crash solo se mi collego al database locale (del raspberry sul quale gira Slackware arm con php 8.1), se invece mi collego ad un database remoto funziona
sya54M ha scritto:
mer 29 dic 2021, 10:33
ponce ha scritto:
dom 5 dic 2021, 8:42
ho visto il bug che hai aperto ma per aiutare gli sviluppatori a capire la causa e' necessario, come ti dicevano, che tu ricompili il pacchetto php81 con i simboli di debug (devi cambiare il --disable-debug tra le opzioni di configure in --enable debug) e che poi tu segua le indicazioni nella pagina a cui ti hanno indirizzato: se non lo fai non possono capire quale sia il tuo problema.
come puoi leggere dal messaggio precedente a questo, per esempio, non e' detto che si riesca a riprodurre il tuo errore.
ricompilandolo con --enable-debug non crasha... quindi come si fa a capire il problema?
io proverei a spiegarlo nel bug report, magari possono consigliarti come procedere...

Rispondi